%define	_noautoreqfiles vendor/paragonie/random_compat/psalm-autoload.php
Summary:	phpMyAdmin - web-based MySQL administration
Summary(pl.UTF-8):	phpMyAdmin - administracja bazami MySQL przez WWW
Name:		phpMyAdmin
Version:	5.1.1
Release:	1
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	https://files.phpmyadmin.net/%{name}/%{version}/%{name}-%{version}-all-languages.tar.xz
# Source0-md5:	e73377b11b7d38fa3f3014f2799c5252
Source1:	%{name}-apache.conf
Source2:	%{name}-lighttpd.conf
Patch0:		%{name}-config.patch
Patch1:		%{name}-disable-version-check.patch
URL:		http://www.phpmyadmin.net/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# phpMyAdmin doesn't support mysql < 5.5 and won't work with php < 7.1
Requires:	mysql-libs >= 5.5
Requires:	php(core) >= 7.1
Requires:	php(ctype)
Requires:	php(filter)
Requires:	php(hash)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(mysqli)
Requires:	php(pcre)
Requires:	php(session)
Requires:	php(simplexml)
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires(triggerpostun):	sed >= 4.0
Suggests:	webserver(indexfile)
Suggests:	webserver(php)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
- create and drop databases
- create, copy, drop and alter tables
- delete, edit and add fields
- execute any SQL-statement, even batch-queries
- manage keys on fields
- load text files into tables
- create (*) and read dumps of tables
- export (*) and import data to CSV values
- administer multiple servers and single databases
- check referencial integrity
- create complex queries automatically connecting required tables
- create PDF graphics of your database layout
- communicate in more than 50 different languages

%description -l pl.UTF-8
phpMyAdmin potrafi zarządzać całymi bazami MySQL (potrzebne
uprawnienia superużytkownika) jak i pojedynczymi bazami danych.
Potrzebny jest użytkownik, który ma prawa zapisu/odczytu tylko tych
baz, którymi chcemy administrować (więcej informacji w odpowiedniej
podręcznika MySQL). Aktualnie phpMyAdmin potrafi:
- tworzyć i usuwać bazy
- wykonywać create, copy, drop oraz alter na tabelach
- dodawać, usuwać i modyfikować pola
- wykonywać dowolne zapytania SQL
- zarządzać kluczami na rekordach
- wczytywać tekst z plików do tabel
- obsługiwać ponad 20 języków
- zarządzać wieloma serwerami i pojedynczymi bazami danych
- eksportować i importować dane do wartości CSV
- tworzyć i czytać zrzuty tabel

%prep
%setup -q -n %{name}-%{version}-all-languages
%patch0 -p1
%patch1 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/tmp}

cp -p *.php *.css *.json *.lock favicon.ico robots.txt $RPM_BUILD_ROOT%{_appdir}
cp -a js libraries locale sql templates themes vendor $RPM_BUILD_ROOT%{_appdir}

cp -p libraries/config.default.php $RPM_BUILD_ROOT%{_sysconfdir}/config.inc.php
ln -sf %{_sysconfdir}/config.inc.php $RPM_BUILD_ROOT%{_appdir}/config.inc.php

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc ChangeLog README examples
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%dir %{_appdir}
%{_appdir}/js
%{_appdir}/libraries
%{_appdir}/locale
%{_appdir}/sql
%{_appdir}/templates
%{_appdir}/themes
%dir %attr(770,http,http) %{_appdir}/tmp
%{_appdir}/vendor
%{_appdir}/*.css
%{_appdir}/*.php
%{_appdir}/*.json
%{_appdir}/*.lock
%{_appdir}/favicon.ico
%{_appdir}/robots.txt
%changelog
* Thu Nov 25 2021 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/phpMyAdmin.git;a=log;h=master

* Thu Nov 25 2021 Marcin Krol <hawk@tld-linux.org> 1ac3eec
- updated to 5.1.1

* Mon Aug 17 2020 Marcin Krol <hawk@tld-linux.org> a17334b
- fix files

* Sun Aug 16 2020 Marcin Krol <hawk@tld-linux.org> 58f71af
- fix autodeps, don't use env

* Thu Aug 06 2020 Marcin Krol <hawk@tld-linux.org> 378aa6a
- updated to 5.0.2

* Tue Dec 24 2019 Marcin Krol <hawk@tld-linux.org> 05f7877
- updated to 4.9.2

* Sun Jul 14 2019 Marcin Krol <hawk@tld-linux.org> 16fd922
- updated to 4.9.0.1

* Thu Mar 21 2019 Marcin Krol <hawk@tld-linux.org> ad9a422
- updated to 4.8.5

* Wed Sep 12 2018 Marcin Krol <hawk@tld-linux.org> dadb26c
- updated to 4.8.3

* Wed Jul 11 2018 Marcin Krol <hawk@tld-linux.org> db26504
- updated to 4.8.2

* Mon May 28 2018 Marcin Krol <hawk@tld-linux.org> 6e14570
- updated to 4.8.1, disabled version check

* Sat Apr 14 2018 Marcin Krol <hawk@tld-linux.org> 381d437
- keep app tmp in appdir, accessible by http:http only

* Sat Apr 14 2018 Marcin Krol <hawk@tld-linux.org> 42321e9
- package sql directory too

* Sat Apr 14 2018 Marcin Krol <hawk@tld-linux.org> bc70ef7
- requires PHP 7.1

* Sat Apr 14 2018 Marcin Krol <hawk@tld-linux.org> 43e5809
- requires php hash

* Sat Apr 14 2018 Marcin Krol <hawk@tld-linux.org> c1fe8b5
- really package vendor dir

* Sat Apr 14 2018 Marcin Krol <hawk@tld-linux.org> 2bc895e
- packaged vendor dir too

* Sat Apr 14 2018 Marcin Krol <hawk@tld-linux.org> a18eac4
- updated to 4.8.0

* Tue Jan 19 2016 Marcin Krol <hawk@tld-linux.org> cecc4de
- updated to 4.5.3.1

* Sun Aug 09 2015 Marcin Krol <hawk@tld-linux.org> 48b3849
- updated to 4.4.13.1

* Sat Jul 25 2015 Marcin Krol <hawk@tld-linux.org> 5a94fc2
- updated to 4.4.12

